export type StyleFn = (props: {
    [key: string]: any;
}, state?: {
    [key: string]: any;
}) => React.CSSProperties & {
    rx?: number;
};
export type Styles = {
    maskWrapper: StyleFn;
    svgWrapper: StyleFn;
    maskArea: StyleFn;
    maskRect: StyleFn;
    clickArea: StyleFn;
    highlightedArea: StyleFn;
};
export type StylesObj = {
    [key in StyleKey]?: StyleFn;
};
export type StyleKey = keyof Styles;
/**
 * @deprecated Use `StyleKey` alias instead.
 */
export type StylesKeys = StyleKey;
export declare const defaultStyles: Styles;
export type getStylesType = (key: StyleKey, extra?: {
    [key: string]: any;
}) => {};
export declare function stylesMatcher(styles: StylesObj): (key: StyleKey, state: {}) => React.CSSProperties & {
    rx?: number;
};
