import React from 'react';
import { RectResult } from '../utils';
import { StylesObj } from './styles';
declare const Popover: React.FC<PopoverProps>;
export default Popover;
export type PopoverProps = {
    sizes: RectResult;
    children?: React.ReactNode;
    position?: PositionType;
    padding?: number | number[];
    styles?: StylesObj;
    className?: string;
    refresher?: any;
};
export type PositionType = Position | ((postionsProps: PositionProps, prevRect: RectResult) => Position);
export type PositionProps = RectResult & {
    windowWidth: number;
    windowHeight: number;
};
export type Position = 'top' | 'right' | 'bottom' | 'left' | 'center' | [number, number];
