import React, { ReactNode, Dispatch, ComponentType } from 'react';
import { StylesObj } from '../styles';
import { StepType, BtnFnProps } from '../types';
declare const Navigation: React.FC<NavigationProps>;
type BaseProps = {
    styles?: StylesObj;
};
export type NavigationProps = BaseProps & {
    setCurrentStep: Dispatch<React.SetStateAction<number>>;
    steps: StepType[];
    currentStep: number;
    disableDots?: boolean;
    nextButton?: (props: BtnFnProps) => ReactNode | null;
    prevButton?: (props: BtnFnProps) => ReactNode | null;
    setIsOpen: Dispatch<React.SetStateAction<boolean>>;
    hideButtons?: boolean;
    hideDots?: boolean;
    disableAll?: boolean;
    rtl?: boolean;
    Arrow?: ComponentType<ArrowProps>;
};
export default Navigation;
export type ArrowProps = BaseProps & {
    inverted?: boolean;
    disabled?: boolean;
};
export declare const DefaultArrow: React.FC<ArrowProps>;
