import { StepType } from './types';
type ScrollLogicalPosition = 'center' | 'end' | 'nearest' | 'start';
type ScrollBehavior = 'auto' | 'smooth';
type ScrollIntoViewOptions = {
    behavior?: ScrollBehavior;
    block?: ScrollLogicalPosition;
    inline?: ScrollLogicalPosition;
};
export declare function useSizes(step: StepType, scrollOptions?: ScrollIntoViewOptions & {
    inViewThreshold?: number | {
        x?: number;
        y?: number;
    };
}): {
    sizes: {
        bottom: number;
        height: number;
        left: number;
        right: number;
        top: number;
        width: number;
        windowWidth: number;
        windowHeight: number;
        x: number;
        y: number;
    };
    transition: boolean;
    target: Element | null;
    observableRefresher: () => void;
    isHighlightingObserved: boolean;
};
export {};
