export type StylesKeys = 'badge' | 'controls' | 'navigation' | 'button' | 'arrow' | 'dot' | 'close' | 'svg';
export type StylesObj = {
    [key in StylesKeys]?: StyleFn;
};
export type StyleFn = (props: {
    [key: string]: any;
}, state?: {
    [key: string]: any;
}) => React.CSSProperties;
export type Styles = {
    badge: StyleFn;
    controls: StyleFn;
    navigation: StyleFn;
    button: StyleFn;
    arrow: StyleFn;
    dot: StyleFn;
    close: StyleFn;
    svg: StyleFn;
};
export type StyleKey = keyof Styles;
export declare const defaultStyles: Styles;
export type getStylesType = (key: StylesKeys, extra?: any) => {};
export declare function stylesMatcher(styles: StylesObj): (key: StyleKey, state: {}) => {};
